Bug 755869 - Disable guestfs UI fields (or similar) if we can't inspect disk images
Summary: Disable guestfs UI fields (or similar) if we can't inspect disk images
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-22 09:55 UTC by Min Zhan
Modified: 2014-07-06 19:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-14 21:15:43 UTC


Attachments (Terms of Use)

Description Min Zhan 2011-11-22 09:55:23 UTC
Description of problem:
Launch virt-manager, check a good guest, found the Hostname and product name below operating system are always unknown even if I change the default guest hostname during guest installation. 

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-7.el6

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
As above

Expected results:
Hostname and product name can get the correct value.

Additional info:

Comment 1 Cole Robinson 2011-12-09 21:32:16 UTC
That info is only populated if we could inspect the guest with libguestfs. We should maybe hide that UI and put a small warning box like 'could not inspect guest configuration' if we didn't find any values.

Not urgent for RHEL though, and given reduced capacity for virt-manager/virtinst, just moving this to the upstream tracker.

Comment 2 Cole Robinson 2014-01-14 21:15:43 UTC
This is upstream nowadays


Note You need to log in before you can comment on or make changes to this bug.